Skip to content

Get fee

GET
/v1/fees/{fee_id}

Get a fee by ID.

fee_id
required
Fee Id
string format: uuid

Successful Response

FeeResponse

Schema for fee response.

object
id
required
Id
string format: uuid
invoice_id
Any of:
string format: uuid
charge_id
Any of:
string format: uuid
subscription_id
Any of:
string format: uuid
commitment_id
Any of:
string format: uuid
customer_id
required
Customer Id
string format: uuid
fee_type
required
Fee Type
string
amount_cents
required
Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
taxes_amount_cents
required
Taxes Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
total_amount_cents
required
Total Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
units
required
Units
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
events_count
required
Events Count
integer
unit_amount_cents
required
Unit Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
payment_status
required
Payment Status
string
description
Any of:
string
metric_code
Any of:
string
properties
required
Properties
object
key
additional properties
any
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Unauthorized – invalid or missing API key

Fee not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object